{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2026-08-13T02:17:07Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.30.5, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase-596894478383",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-ef55f427+HEAD-host-darwin-arm64-target-ios-3d62f7e3-2d3a-5b5e-a9be-b6caa5b07df4",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "4ea6cbcd06e5b9051ef2020e7ed6ef2cffb6f4ac"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtdeclarative-9b9e5e06a312",
            "spdxDocument": "https://qt.io/spdxdocs/qtdeclarative-4e3399c2+HEAD-host-darwin-arm64-target-ios-1d9eae5b-6837-5647-86d5-bb7444a978b4",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "94f1be8a6e6bcddced52c2b0c961013c7b7be34b"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtwebengine-chromium-pdf-1c825d75b823",
            "spdxDocument": "https://qt.io/spdxdocs/qtwebengine-chromium-pdf-a33fa2a+HEAD",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "2f99bea7564f383fbd59c238f4667f22f6d5290f"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        },
        {
            "extractedText": "The icons in this repository are herefore released into the Public Domain.\n",
            "licenseId": "LicenseRef-Tango-Icons-Public-Domain"
        }
    ],
    "name": "qtpdf-6.11.2",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtpdf-a33fa2a+HEAD-host-darwin-arm64-target-ios-6e4dd28f-8d68-5e7e-b666-f1ce81e90cae",
    "packages": [
        {
            "SPDXID": "SPDXRef-Package-qtpdf-1c825d75b823",
            "builtDate": "2026-08-13T02:17:07Z",
            "comment": "Built by CMake 3.30.5 with Release;Debug configuration for iOS ()\nqtpdf was configured with:\n    qt-configure-module <sources>/qtpdf -- -DQT_PROTOBUF_WELL_KNOWN_TYPES_PROTO_DIR=/usr/local/include -DFFMPEG_DIR=/usr/local/ios/ffmpeg -DQT_DEPLOY_FFMPEG=TRUE -DFEATURE_webengine_precompiled_headers=OFF -DCMAKE_MAKE_PROGRAM=/usr/local/bin//ninja -DQT_INSTALL_CONFIG_INFO_FILES=ON -DQT_GENERATE_SBOM=ON -DQT_GENERATE_SOURCE_SBOM=ON -DQT_SBOM_VERIFY_SPDX_V2=ON -DQT_SBOM_REQUIRE_GENERATE_SPDX_V2_JSON=ON -DQT_SBOM_REQUIRE_VERIFY_SPDX_V2=ON -DQT_SBOM_VERIFY_CYDX_V1_6=ON -DQT_SBOM_REQUIRE_GENERATE_CYDX_V1_6=ON -DQT_SBOM_REQUIRE_VERIFY_CYDX_V1_6=ON -DQT_SBOM_PYTHON_INTERP=/Users/qt/.pyenv/versions/3.12.11/bin/python3 -DQT_SBOM_PYTHON_APPS_PATH=/Users/qt/.local/bin -DQT_LINT_SOURCE_SBOM=ON -DQT_INTERNAL_SBOM_DEFAULT_CHECKS=ON -DQT_INTERNAL_SBOM_AUDIT=ON -DQT_INTERNAL_SBOM_AUDIT_NO_ERROR=ON -DQT_BUILD_TESTS=OFF -DCMAKE_AUTOGEN_VERBOSE=ON -DCMAKE_MESSAGE_LOG_LEVEL=STATUS -DCMAKE_C_COMPILER_LAUNCHER=sccache -DCMAKE_CXX_COMPILER_LAUNCHER=sccache\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@a33fa2a897e5ee58e385b3f88dc247d99fca56db",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.11.2:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf@a33fa2a+HEAD",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": false,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtpdf",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "a33fa2a+HEAD"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-1c825d75b823",
            "comment": "\nCMake target name: QPdfPlugin\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@a33fa2a897e5ee58e385b3f88dc247d99fca56db",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@a33fa2a?library_name=QPdfPlugin#src/pdf/plugins/imageformats/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-QPdfPlugin@a33fa2a?vcs_url=https://code.qt.io/qt/qtpdf.git@a33fa2a&library_name=QPdfPlugin#src/pdf/plugins/imageformats/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.11.2:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.11.2:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QPdfPlugin",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "6adfe4e7a6cecd4549eef345a76a2bde75bf36f1"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.11.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "comment": "\nNote: This package was marked as not listing all of its consumed 3rd party dependencies.\nThus the licensing and copyright information might be incomplete.\nCMake target name: Pdf\nCMake exported target name: Qt6::Pdf\nContained in CMake package: Qt6Pdf\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@a33fa2a897e5ee58e385b3f88dc247d99fca56db",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@a33fa2a?library_name=Pdf#src/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-Pdf@a33fa2a?vcs_url=https://code.qt.io/qt/qtpdf.git@a33fa2a&library_name=Pdf#src/pdf",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.11.2:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.11.2:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "Pdf",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "774b9ab793ed97bb49d0f211305ba08100217e64"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.11.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-1c825d75b823",
            "comment": "\nCMake target name: PdfWidgets\nCMake exported target name: Qt6::PdfWidgets\nContained in CMake package: Qt6PdfWidgets\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@a33fa2a897e5ee58e385b3f88dc247d99fca56db",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@a33fa2a?library_name=PdfWidgets#src/pdfwidgets",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-PdfWidgets@a33fa2a?vcs_url=https://code.qt.io/qt/qtpdf.git@a33fa2a&library_name=PdfWidgets#src/pdfwidgets",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.11.2:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.11.2:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PdfWidgets",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "1ffd2d00313334e02f15ffbd7980ed9703e6b89e"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.11.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "comment": "\nCMake target name: PdfQuick\nCMake exported target name: Qt6::PdfQuick\nContained in CMake package: Qt6PdfQuick\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@a33fa2a897e5ee58e385b3f88dc247d99fca56db",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@a33fa2a?library_name=PdfQuick#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-PdfQuick@a33fa2a?vcs_url=https://code.qt.io/qt/qtpdf.git@a33fa2a&library_name=PdfQuick#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.11.2:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.11.2:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PdfQuick",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "8b9a8eb9abe1d0f6c9f4faa8950e5da58a39d580"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.11.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-1c825d75b823",
            "comment": "\nCMake target name: PdfQuickplugin\n",
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "downloadLocation": "git://code.qt.io/qt/qtpdf.git@a33fa2a897e5ee58e385b3f88dc247d99fca56db",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtpdf@a33fa2a?library_name=PdfQuickplugin#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtpdf-PdfQuickplugin@a33fa2a?vcs_url=https://code.qt.io/qt/qtpdf.git@a33fa2a&library_name=PdfQuickplugin#src/pdfquick",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.11.2:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtpdf:6.11.2:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "PdfQuickplugin",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "a604ecdb36f4063ad00f7ae32f01f8ae3e6e5a47"
            },
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.11.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-system-build-tool-CMake-1c825d75b823",
            "comment": "\nCMake target name: qtpdfSbomBuildToolCMake\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "CMake",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "3.30.5"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-system-build-tool-CMake-generator-Ninja-Multi-Config-1c825d75b823",
            "comment": "\nCMake target name: qtpdfSbomBuildToolCMakeGenerator\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "CMake generator Ninja Multi-Config",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "1.10.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-system-build-tool-Compiler-AppleClang-1c825d75b823",
            "comment": "\nCMake target name: qtpdfSbomBuildToolCompiler\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Compiler AppleClang",
            "primaryPackagePurpose": "OTHER",
            "summary": "The compiler as identified by CMake, running on 'Darwin' (arm64)",
            "supplier": "Person: Anonymous",
            "versionInfo": "15.0.0.15000309"
        },
        {
            "SPDXID": "SPDXRef-Package-qtpdf-system-build-tool-Linker-1c825d75b823",
            "comment": "\nCMake target name: qtpdfSbomBuildToolLinker\n",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Linker",
            "primaryPackagePurpose": "OTHER",
            "supplier": "Person: Anonymous",
            "versionInfo": "unknown"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-1c825d75b823",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "b25b239496277431e2d7a644d6f81954ad361d0d"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./plugins/imageformats/libqpdf.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-1c825d75b823",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "92ece1d45f053079f5c74eeabc6aad11ad498881"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./plugins/imageformats/libqpdf_debug.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "93b89ef0963f105ccba7737d6a5f4125fe3c5ffa"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdf.framework/QtPdf",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "21b1c75b48bfd46fa8c5b763defa27ab02c43955"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdf.framework/QtPdf_debug",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-1c825d75b823",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "410a2eb42e197f6821f9c35024e7a24ee634fb17"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfWidgets.framework/QtPdfWidgets",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-1c825d75b823",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "a0ea7e5d0ba6a14387f0716b0eee6f6869a2b220"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfWidgets.framework/QtPdfWidgets_debug",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "bce1dd07d4a60abe9bf7e71f6da756462260ea2c"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfQuick.framework/QtPdfQuick",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "efec97bfc276790540260c673534abeda578c251"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./lib/QtPdfQuick.framework/QtPdfQuick_debug",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release-1c825d75b823",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "12139c8e7fa1a4fd4cb462409c85253604e33b58"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./qml/QtQuick/Pdf/libpdfquickplugin.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug-1c825d75b823",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "59dcca3af1888ab40ffa2d47b853f3b400fae388"
                }
            ],
            "copyrightText": "Copyright (C) The Qt Company Ltd. and other contributors.",
            "fileName": "./qml/QtQuick/Pdf/libpdfquickplugin_debug.a",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-1c825d75b823",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-system-build-tool-CMake-1c825d75b823",
            "comment": "SPDXRef-Package-qtpdf-1c825d75b823 is built using CMake version 3.30.5",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-1c825d75b823",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-system-build-tool-CMake-generator-Ninja-Multi-Config-1c825d75b823",
            "comment": "SPDXRef-Package-qtpdf-1c825d75b823 is built using generator CMAKE_GENERATOR: 'Ninja Multi-Config' and CMAKE_MAKE_PROGRAM: 'ninja' version '1.10.2'",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-1c825d75b823",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-system-build-tool-Compiler-AppleClang-1c825d75b823",
            "comment": "SPDXRef-Package-qtpdf-1c825d75b823 is built by compiler: 'AppleClang' version: '15.0.0.15000309' frontend variant: 'GNU'",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-1c825d75b823",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-system-build-tool-Linker-1c825d75b823",
            "comment": "SPDXRef-Package-qtpdf-1c825d75b823 is built by linker '' version '' frontend variant: ''",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-1c825d75b823",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-QPdfPlugin-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/main.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QPdfPlugin-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/plugins/imageformats/pdf/qpdfiohandler_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-Core-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-Network-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-Gui-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/include/QtPdf/qtpdfexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocumentrenderoptions.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/include/QtPdf/qtpdfexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfbookmarkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfdocumentrenderoptions.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdffile_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflink_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagenavigator.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfpagerenderer.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdf/qtpdfglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Pdf-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdf/qtpdf-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-Widgets-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-Core-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-Gui-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qtpdfwidgetsglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfWidgets-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfpageselector_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qpdfview_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfWidgets-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfwidgets/qtpdfwidgetsglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtdeclarative-9b9e5e06a312:SPDXRef-Package-qtdeclarative-qt-module-Quick-9b9e5e06a312",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-Core-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-Gui-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtdeclarative-9b9e5e06a312:SPDXRef-Package-qtdeclarative-qt-module-Qml-9b9e5e06a312",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-Pdf-1c825d75b823",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qtpdfquickglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/pdfquick_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_qmake_QtQuick_Pdf.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Material/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_qmlcache_loader.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Material_PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Universal/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Universal_PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfLinkDelegate.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfLinkDelegate_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfMultiPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfMultiPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfScrollablePageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfScrollablePageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_PdfQuick_raw_qml_0.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfbookmarkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfdocument_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdflinkmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpagenavigator_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfpageimage_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfsearchmodel_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qquickpdfselection_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/qtpdfquickglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/pdfquick_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_qmake_QtQuick_Pdf.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Material/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_qmlcache_loader.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Material_PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/+Universal/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_+Universal_PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfLinkDelegate.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfLinkDelegate_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfMultiPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfMultiPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfPageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfPageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfScrollablePageView.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfScrollablePageView_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/src_dir/qtpdf/src/pdfquick/PdfStyle.qml",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.rcc/qmlcache/PdfQuick_PdfStyle_qml.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-PdfQuick-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/.qt/rcc/qrc_PdfQuick_raw_qml_0.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtbase-596894478383:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal-596894478383",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtdeclarative-9b9e5e06a312:SPDXRef-Package-qtdeclarative-qt-module-Qml-9b9e5e06a312",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-Package-qtpdf-qt-module-PdfQuick-1c825d75b823",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Release-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/PdfQuickplugin_QtQuick_PdfPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-qt-plugin-PdfQuickplugin-1c825d75b823",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug-1c825d75b823",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-PdfQuickplugin-Debug-1c825d75b823",
            "comment": "/build_dir/qtpdf/src/pdfquick/PdfQuickplugin_QtQuick_PdfPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtpdf-1c825d75b823",
            "relatedSpdxElement": "DocumentRef-qtwebengine-chromium-pdf-1c825d75b823:SPDXRef-QtWebEngine-Chromium-Pdf-Internal-Components",
            "relationshipType": "DEPENDS_ON"
        }
    ]
}